# https://hub.docker.com/r/library/python/tags/
image: python:latest

test:
  before_script:
    - pip install pipenv
    - pipenv install --dev --system
  script:
    - python -m pytest --cov
    - pre-commit run -a
  coverage: '/^TOTAL.+?(\d+%)$/'
